rte_pdcp_group.h(3)

NAME
rte_pdcp_group.h

SYNOPSIS

#include <rte_common.h>
#include <rte_crypto.h>
#include <rte_cryptodev.h>

  Data Structures

struct rte_pdcp_group

  Functions

static struct rte_pdcp_entity * rte_pdcp_en_from_cop (const struct rte_crypto_op *cop)
static uint16_t rte_pdcp_pkt_crypto_group (struct rte_crypto_op *cop[], struct rte_mbuf *mb[], struct rte_pdcp_group grp[], uint16_t num)

Detailed Description

RTE PDCP grouping support. It is not recommended to include this file directly, include <rte_pdcp.h> instead. Provides helper functions to process completed crypto-ops and group related packets by sessions they belong to.

Definition in file rte_pdcp_group.h.

Function Documentation

  struct rte_pdcp_entity * rte_pdcp_en_from_cop (const struct rte_crypto_op * cop) [inline], [static]

Warning
    EXPERIMENTAL: this API may change without prior notice.

Take crypto-op as an input and extract pointer to related PDCP entity.

Parameters
    cop The address of an input rte_crypto_op structure.

Returns
    The pointer to the related rte_pdcp_entity structure.

Definition at line 50 of file rte_pdcp_group.h.

  uint16_t rte_pdcp_pkt_crypto_group (struct rte_crypto_op * cop[], struct rte_mbuf * mb[], struct rte_pdcp_group grp[], uint16_t num) [inline], [static]

Warning
    EXPERIMENTAL: this API may change without prior notice.

Take as input completed crypto ops, extract related mbufs and group them by rte_pdcp_entity they belong to. Mbuf for which the crypto operation has failed would be flagged using RTE_MBUF_F_RX_SEC_OFFLOAD_FAILED flag in rte_mbuf.ol_flags. The crypto_ops would be freed after the grouping.

Note that application must ensure only crypto-ops prepared by lib_pdcp is provided back to

See also
    rte_pdcp_pkt_crypto_group().

Parameters
    cop The address of an array of num pointers to the input rte_crypto_op structures.
    mb The address of an array of num pointers to output rte_mbuf structures.
    grp The address of an array of num to output rte_pdcp_group structures.
    num The maximum number of crypto-ops to process.

Returns
    Number of filled elements in grp array.

Definition at line 83 of file rte_pdcp_group.h.

Author

Generated automatically by Doxygen for DPDK from the source code.